
Redmine - Defect #25596

when creating a new issue, custom fields for trackers don't update on tracker change

2017-04-12 23:48 - Brad Barnett

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

I googled, and searched -- but could not find this issue in the tracker.  Apologies if this is a dup.

I have 4 trackers.  Each have differing custom fields.  Some are required.

When I click on new issue, if a tracker is 'A', and I switch to 'B', the custom fields for 'A' still show.

Only if I click 'submit', and receive an error (because a custom field isn't filled out), will I then be presented with the correct 'new

issue' page for that particular tracker.

Debian Jessie.

/usr/share/redmine$ ruby bin/about

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

sh: 1: git: not found

Environment:

Redmine version                2.5.2.devel

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

Rails version                  4.1.8

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Filesystem

Redmine plugins:

redmine_pretend                0.0.2+git20130821

History

#1 - 2017-04-13 02:12 - Brad Barnett

- Status changed from New to Resolved

I didn't realise Debian's version was a beta, I've upgraded and the problem is gone.

Sorry... marked resolved.

#2 - 2017-05-12 08:40 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
